Bug 801896 - (CVE-2012-1176) CVE-2012-1176 pyfribidi: buffer overflow when handling 4-byte utf-8 sequences
CVE-2012-1176 pyfribidi: buffer overflow when handling 4-byte utf-8 sequences
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120308,reported=2...
: Security
Depends On: 801897
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 14:06 EST by Vincent Danen
Modified: 2015-08-22 11:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:09:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-03-09 14:06:06 EST
A buffer overflow flaw was reported [1].[2] in pyfribidi's fribidi_utf8_to_unicode() function, due to it handling at most 3 bytes for a single unicode character.  If a 4-byte utf-8 sequence was supplied, it would generate 2 unicode characters which would overflow the logical buffer.  This has been fixed in pyfribidi 0.11 [3].

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=663189
[2] https://github.com/pediapress/pyfribidi/issues/2
[3] https://github.com/pediapress/pyfribidi/commit/d2860c655357975e7b32d84e6b45e98f0dcecd7a
Comment 1 Vincent Danen 2012-03-09 14:06:46 EST
Created pyfribidi tracking bugs for this issue

Affects: fedora-all [bug 801897]
Comment 2 Vincent Danen 2012-03-14 14:12:19 EDT
This was assigned the name CVE-2012-1176:

http://www.openwall.com/lists/oss-security/2012/03/14/9

Note You need to log in before you can comment on or make changes to this bug.